Subject: [appsdir] Fwd: Last Call: <draft-ietf-radext-datatypes-06.txt> (Data Types in the Remote Authentication Dial-In User Service Protocol (RADIUS)) to Proposed Standard

From: Eliot Lear <[email-masked]>
Date: Fri, 5 Aug 2016 16:51:32 +0200

Names names and more names.  Would anyone like to review this document
in last call?  For one thing, it may make sense, and I don't know if
this is really an apps area thing, to see if we have other protocols
that also declare data types, and how the two might map.  That seems to
me very appy, but I am also thinking in terms of YANG...

Eliot

Subject: Last Call: <draft-ietf-radext-datatypes-06.txt> (Data Types in the Remote Authentication Dial-In User Service Protocol (RADIUS)) to Proposed Standard
From: The IESG <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], Stefan Winter <[email-masked]>
Date: Wed, 03 Aug 2016 11:03:45 -0700
List-Id: "IETF announcement list. No discussions." <ietf-announce.ietf.org>

The IESG has received a request from the RADIUS EXTensions WG (radext) to
consider the following document:
- 'Data Types in the Remote Authentication Dial-In User Service Protocol
   (RADIUS)'
  <draft-ietf-radext-datatypes-06.txt> as Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2016-08-17. Exceptionally, comments may be
sent to [email-masked] instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

Abstract

   RADIUS specifications have used data types for two decades without
   defining them as managed entities.  During this time, RADIUS
   implementations have named the data types, and have used them in
   attribute definitions.  This document updates the specifications to
   better follow established practice.  We do this by naming the data
   types defined in RFC 6158, which have been used since at least RFC
   2865.  We provide an IANA registry for the data types, and update the
   RADIUS Attribute Type registry to include a "Data Type" field for
   each attribute.  Finally, we recommend that authors of RADIUS
   specifications use these types in preference to existing practice.
   This document updates RFC 2865, 3162, 6158, and 6572.

The file can be obtained via
https://datatracker.ietf.org/doc/draft-ietf-radext-datatypes/

IESG discussion can be tracked via
https://datatracker.ietf.org/doc/draft-ietf-radext-datatypes/ballot/

No IPR declarations have been submitted directly on this I-D.

The document contains these normative downward references.
See RFC 3967 for additional information: 
    rfc3576: Dynamic Authorization Extensions to Remote Authentication Dial In User Service (RADIUS) (Informational - Independent Submission Editor stream)
    rfc5904: RADIUS Attributes for IEEE 802.16 Privacy Key Management Version 1 (PKMv1) Protocol Support (Informational - IETF stream)
    rfc2866: RADIUS Accounting (Informational - IETF stream)
    rfc2867: RADIUS Accounting Modifications for Tunnel Protocol Support (Informational - IETF stream)
Note that some of these references may already be listed in the acceptable Downref Registry.